## com.thingmagic
Enum Gen2.NXP.AES.Profile

    java.lang.Object
      java.lang.Enum<Gen2.NXP.AES.Profile>
          com.thingmagic.Gen2.NXP.AES.Profile

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Gen2.NXP.AES.Profile>

Enclosing class:
  Gen2.NXP.AES

    public static enum Gen2.NXP.AES.Profile

extends java.lang.Enum<Gen2.NXP.AES.Profile>

Memory profile for the addition of custom data

Enum Constant Summary
`EPC` EPC memory bank
`TID` TID memory bank
`USER` USER memory bank

Method Summary
`static Gen2.NXP.AES.Profile` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Gen2.NXP.AES.Profile[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EPC

    public static final Gen2.NXP.AES.Profile EPC

  EPC memory bank

### TID

    public static final Gen2.NXP.AES.Profile TID

  TID memory bank

### USER

    public static final Gen2.NXP.AES.Profile USER

  USER memory bank

Method Detail

### values

    public static Gen2.NXP.AES.Profile[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Gen2.NXP.AES.Profile c : Gen2.NXP.AES.Profile.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Gen2.NXP.AES.Profile valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null